serialver(1)

NAME
serialver - serial version command

SYNOPSIS
serialver [ -show ] [ classnames ]

DESCRIPTION
The serialver command returns the serialVersionUID for one or more classes in a form suitable for copying into an evolving class. When invoked with no arguments, it prints a usage line.

OPTIONS
The following option is supported:

-show
    Displays a simple user interface. Enter the full class name and press either the Enter key or the Show button to display the serialVersionUID.

OPERANDS

classnames
    One or more class names.

SEE ALSO

See (or search java.sun.com) for the following:

java.io.ObjectStreamClass @
    http://java.sun.com/j2se/1.3/docs/api/java/io/ObjectStreamClass.html